=== debian/control ===
Source: rust-dfrs
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-colored-1+default-dev (>= 1.6-~~),
 librust-env-logger-0.7+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0.19+default-dev,
 librust-structopt-0.3+default-dev,
 librust-strum-0.19+default-dev,
 librust-strum-macros-0.19+default-dev,
 bash-completion,
 scdoc
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/dfrs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/dfrs

Package: dfrs
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Display file system space usage using graphs and colors
 dfrs displays the amount of disk space available on the file system containing
 each file name argument. If no file name is given, the space available on all
 currently mounted file systems is shown.
 .
 dfrs(1) is a tool similar to df(1) except that it is able to show a graph along
 with the data and is able to use colors.
 .
 Without any argument, size is displayed in human-readable format.
 .
 This package contains the following binaries built from the Rust crate
 "dfrs":
  - dfrs
