=== debian/control ===
Source: rust-dfrs
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 bash-completion,
 scdoc
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-colored-3+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-lazy-static-1+default-dev (>= 1.4-~~),
 librust-log-0.4+default-dev,
 librust-nix-0+default-dev (>= 0.24-~~),
 librust-nix-0+fs-dev (>= 0.24-~~),
 librust-structopt-0.3+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-macros-0.26+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/dfrs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/dfrs
Homepage: https://github.com/anthraxx/dfrs
X-Cargo-Crate: dfrs
Rules-Requires-Root: no

Package: dfrs
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Display file system space usage using graphs and colors
 dfrs displays the amount of disk space available on the file system containing
 each file name argument. If no file name is given, the space available on all
 currently mounted file systems is shown.
 .
 dfrs(1) is a tool similar to df(1) except that it is able to show a graph along
 with the data and is able to use colors.
 .
 Without any argument, size is displayed in human-readable format.
